gr::dab::moving_sum_ff_impl Class Reference

`#include <moving_sum_ff_impl.h>`

Inheritance diagram for gr::dab::moving_sum_ff_impl:
[legend]

## Public Member Functions

| moving_sum_ff_impl (int length)
| ~moving_sum_ff_impl ()
int | length () const
void | reset ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
bool | stop ()

## Additional Inherited Members

Public Types inherited from gr::dab::moving_sum_ff
typedef std::shared_ptr< moving_sum_ff > | sptr
Static Public Member Functions inherited from gr::dab::moving_sum_ff
static sptr | make (int length)
| Return a shared_ptr to a new instance of dab::moving_sum_ff.

## Constructor & Destructor Documentation

## moving_sum_ff_impl()

gr::dab::moving_sum_ff_impl::moving_sum_ff_impl | ( | int | length | ) |

References length().

## ~moving_sum_ff_impl()

gr::dab::moving_sum_ff_impl::~moving_sum_ff_impl | ( |  | ) |

## Member Function Documentation

## length()

int gr::dab::moving_sum_ff_impl::length | ( |  | ) | const

inline

Referenced by moving_sum_ff_impl().

## reset()

void gr::dab::moving_sum_ff_impl::reset | ( |  | ) |

inline

## stop()

bool gr::dab::moving_sum_ff_impl::stop | ( |  | ) |

## work()

int gr::dab::moving_sum_ff_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- moving_sum_ff_impl.h